Package org.eclipse.help

# Interface ICriteria

All Superinterfaces:
  `IUAElement`

public interface ICriteria extends IUAElement
A directive indicating the criteria information of a Toc or Topic described in xml

Since:
  3.5

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Returns the name of the criteria element, e.g.
`String`
`getValue()`
Returns the value of the criteria element, e.g.

### Methods inherited from interface org.eclipse.help.IUAElement

`getChildren, isEnabled`

## Method Details

### getName

String getName()
Returns the name of the criteria element, e.g. "Platform"

Returns:
  the name of the criteria element

### getValue

String getValue()
Returns the value of the criteria element, e.g. "AIX,Windows"

Returns:
  the value of the criteria element